aboutsummaryrefslogtreecommitdiffhomepage
path: root/BuildFrameworks
diff options
context:
space:
mode:
authorGravatar Paul Beusterien <paulbeusterien@google.com>2017-08-18 10:51:26 -0700
committerGravatar GitHub <noreply@github.com>2017-08-18 10:51:26 -0700
commit76ac74b91560f3d56a02ffaab894c93c6d97f002 (patch)
treede2d5b3f1d30dcec0ed020cbf5bd37309b2eef62 /BuildFrameworks
parent728dec27b2b0ddda6aa210a7cdc97c2dba6ee709 (diff)
Updates to the manual build process for CocoaPods 1.3.1 (#204)
Diffstat (limited to 'BuildFrameworks')
-rw-r--r--BuildFrameworks/FrameworkMaker.xcodeproj/project.pbxproj10
-rwxr-xr-xBuildFrameworks/build.swift2
2 files changed, 9 insertions, 3 deletions
diff --git a/BuildFrameworks/FrameworkMaker.xcodeproj/project.pbxproj b/BuildFrameworks/FrameworkMaker.xcodeproj/project.pbxproj
index 0c77c76..c491355 100644
--- a/BuildFrameworks/FrameworkMaker.xcodeproj/project.pbxproj
+++ b/BuildFrameworks/FrameworkMaker.xcodeproj/project.pbxproj
@@ -224,13 +224,16 @@
files = (
);
inputPaths = (
+ "${PODS_PODFILE_DIR_PATH}/Podfile.lock",
+ "${PODS_ROOT}/Manifest.lock",
);
name = "[CP] Check Pods Manifest.lock";
outputPaths = (
+ "$(DERIVED_FILE_DIR)/Pods-FrameworkMaker_macOS-checkManifestLockResult.txt",
);
runOnlyForDeploymentPostprocessing = 0;
shellPath = /bin/sh;
- shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n # print error to STDERR\n echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n exit 1\nfi\n";
+ shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n # print error to STDERR\n echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n";
showEnvVarsInLog = 0;
};
83F5D2024D97A1D542B7932F /* [CP] Embed Pods Frameworks */ = {
@@ -254,13 +257,16 @@
files = (
);
inputPaths = (
+ "${PODS_PODFILE_DIR_PATH}/Podfile.lock",
+ "${PODS_ROOT}/Manifest.lock",
);
name = "[CP] Check Pods Manifest.lock";
outputPaths = (
+ "$(DERIVED_FILE_DIR)/Pods-FrameworkMaker_iOS-checkManifestLockResult.txt",
);
runOnlyForDeploymentPostprocessing = 0;
shellPath = /bin/sh;
- shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n # print error to STDERR\n echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n exit 1\nfi\n";
+ shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n # print error to STDERR\n echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n";
showEnvVarsInLog = 0;
};
C712E44DB1FAE1B023552B35 /* [CP] Copy Pods Resources */ = {
diff --git a/BuildFrameworks/build.swift b/BuildFrameworks/build.swift
index 8721ca6..bd85acf 100755
--- a/BuildFrameworks/build.swift
+++ b/BuildFrameworks/build.swift
@@ -124,7 +124,7 @@ func buildThin(framework: String, multiplatform: Bool, arch: String, multisdk: B
if !multiplatform {
schemeSuffix = ""
} else if sdk.hasPrefix("mac") {
- schemeSuffix = "-OSX"
+ schemeSuffix = "-macOS"
} else if sdk.hasPrefix("iphone") {
schemeSuffix = "-iOS"
} else {